Record a manual payment against an order
curl --request POST \
--url https://server.twicecommerce.com/v1/admin/orders/{orderId}/payments/manual \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"paymentMethod": {
"method": "PAY_STORE"
},
"amount": 123,
"issuedAt": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://server.twicecommerce.com/v1/admin/orders/{orderId}/payments/manual"
payload = {
"paymentMethod": { "method": "PAY_STORE" },
"amount": 123,
"issuedAt": "2023-11-07T05:31:56Z"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
paymentMethod: {method: 'PAY_STORE'},
amount: 123,
issuedAt: '2023-11-07T05:31:56Z'
})
};
fetch('https://server.twicecommerce.com/v1/admin/orders/{orderId}/payments/manual', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"type": "sale",
"status": "pending",
"pricing": {
"currency": "<string>",
"total": 0,
"subtotal": 0,
"totalTaxes": 0,
"totalDiscounts": 0,
"taxExcluded": true,
"taxLines": [
{
"price": 0,
"rate": 123,
"combinedLabel": {
"def": "<string>"
},
"label": {
"def": "<string>"
},
"taxableAmount": 0
}
],
"listPrice": 0,
"originalListPrice": 0,
"additionalInfo": "<string>",
"discountCodes": {},
"manualDiscount": 0,
"deposit": 0
},
"receiptNumber": 123,
"issuedAt": "<string>",
"lines": {
"id": "<string>",
"paymentId": "<string>",
"type": "line_item",
"name": "<string>",
"quantity": 123,
"pricing": {
"currency": "<string>",
"total": 0,
"subtotal": 0,
"totalTaxes": 0,
"totalDiscounts": 0,
"taxExcluded": true,
"taxLines": [
{
"price": 0,
"rate": 123,
"combinedLabel": {
"def": "<string>"
},
"label": {
"def": "<string>"
},
"taxableAmount": 0
}
],
"listPrice": 0,
"originalListPrice": 0,
"additionalInfo": "<string>",
"discountCodes": {},
"manualDiscount": 0,
"deposit": 0
},
"createdAt": "<string>",
"updatedAt": "<string>",
"modificationSummary": {
"refundedTotal": 123,
"refundReversedTotal": 123,
"cancelledTotal": 123,
"expiredTotal": 123,
"capturedTotal": 123,
"isFullyRefunded": true,
"isPartiallyRefunded": true,
"pendingRefundsTotal": 123,
"pendingCapturesTotal": 123,
"isCancelled": true,
"isReversed": true,
"isExpired": true
},
"orderLineItemId": "<string>",
"invoiceId": "<string>",
"invoiceLineId": "<string>",
"meta": "<unknown>"
},
"transactions": {
"id": "<string>",
"paymentId": "<string>",
"type": "authorize",
"status": "pending",
"method": "<string>",
"provider": "<string>",
"currency": "<string>",
"total": 123,
"occurredAt": "<string>",
"modificationSummary": {
"refundedTotal": 123,
"refundReversedTotal": 123,
"cancelledTotal": 123,
"expiredTotal": 123,
"capturedTotal": 123,
"isFullyRefunded": true,
"isPartiallyRefunded": true,
"pendingRefundsTotal": 123,
"pendingCapturesTotal": 123,
"isCancelled": true,
"isReversed": true,
"isExpired": true
},
"createdAt": "<string>",
"updatedAt": "<string>",
"originalTransactionId": "<string>",
"customMethodId": "<string>",
"providerReferenceId": "<string>",
"providerResponse": "<unknown>",
"cardBrand": "<string>",
"cardLast4": "<string>",
"meta": "<unknown>"
},
"modificationSummary": {
"refundedTotal": 123,
"refundReversedTotal": 123,
"cancelledTotal": 123,
"expiredTotal": 123,
"capturedTotal": 123,
"isFullyRefunded": true,
"isPartiallyRefunded": true,
"pendingRefundsTotal": 123,
"pendingCapturesTotal": 123,
"isCancelled": true,
"isReversed": true,
"isExpired": true
},
"createdAt": "<string>",
"updatedAt": "<string>",
"orderId": "<string>",
"originalPaymentId": "<string>",
"meta": "<unknown>",
"tenantInfo": {
"name": "<string>",
"legalName": "<string>",
"businessId": "<string>",
"address": "<string>",
"phone": "<string>"
}
}Creates a sale payment without going through an external processor. The payment method must be enabled and offline (PAY_STORE or CUSTOM). Unless specific payment lines are given, the amount is distributed proportionally across all unpaid line items.
POST
/
v1
/
admin
/
orders
/
{orderId}
/
payments
/
manual
Record a manual payment against an order
Authorizations
API key for the Twice API
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
application/json
Body
Required range:
x <= 9007199254740991Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Response
200
Available options:
sale, deposit_auth, deposit_capture, refund, refund_reverse, cancel, expire Available options:
pending, succeeded, failed, voided Hide child attributes
Hide child attributes
Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Hide child attributes
Hide child attributes
Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Hide child attributes
Hide child attributes
Available options:
line_item, shipping, deposit, fee, rounding Hide child attributes
Hide child attributes
Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Hide child attributes
Hide child attributes
Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Available options:
authorize, capture, refund, refund_reverse, cancel, expire Available options:
pending, succeeded, failed Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Was this page helpful?